組織のアクティビティフィード(組織のプロジェクト全体で実行されたアクション)を最も新しい順に返します。キーセット/カーソルをページ分割しました。
クエリ パラメータ
-
プロジェクトでフィルタリング
-
ページあたり最大イベント(デフォルト50、最大 200)
-
次のページでは不変のキーセット カーソル
-
アクションでフィルタリング(例: エージェント.deploy)
-
カテゴリ : アクセスまたはミューテーション でフィルタリング
-
アクターメールでフィルタリング
-
成功または失敗の結果でフィルタリング
-
時間範囲の開始(RFC3339)
-
時間範囲の終了(RFC3339)
-
含める管理イベント(演算子アクションと GSA ランタイム イベント)を含めます。デフォルトではfalse がそれらを非表示にします
GET /api/v1 /organizations/{id}/audit-events
curl \
--request GET 'https://agentengine.mongodb.com/api/v1/organizations/{id}/audit-events' \
--header "Authorization: $API_KEY"
応答の例(406)
操作は利用できません
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
応答の例(406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
応答の例(200)
{
"audit_events": [
{
"action": "agent.deploy",
"actor": {
"client_id": "string",
"email": "string",
"roles": [
"string"
],
"type": "string",
"user_id": "string"
},
"category": "access",
"failure_reason": "string",
"id": "string",
"metadata": {},
"outcome": "success",
"scope": {
"org_id": "string",
"project_id": "string",
"workspace_id": "string"
},
"source_ip": "string",
"target": {
"id": "string",
"name": "string",
"type": "string"
},
"timestamp": "string"
}
],
"has_more": true,
"next_cursor": "string"
}
応答の例(200)
{
"audit_events": [
{
"action": "agent.deploy",
"actor": {
"client_id": "string",
"email": "string",
"roles": [
"string"
],
"type": "string",
"user_id": "string"
},
"category": "access",
"failure_reason": "string",
"id": "string",
"metadata": {},
"outcome": "success",
"scope": {
"org_id": "string",
"project_id": "string",
"workspace_id": "string"
},
"source_ip": "string",
"target": {
"id": "string",
"name": "string",
"type": "string"
},
"timestamp": "string"
}
],
"has_more": true,
"next_cursor": "string"
}
応答の例(400)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(400)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(401)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(401)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(403)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(403)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(500)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(500)
{
"code": "string",
"error": "string",
"success": true
}